package cn.ibizlab.core.sample.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.sample.domain.IBIZSample0014;
import cn.ibizlab.core.sample.filter.IBIZSample0014SearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBIZSample0014] 服务对象接口
 */
public interface IIBIZSample0014Service extends IService<IBIZSample0014>{

    boolean create(IBIZSample0014 et) ;
    void createBatch(List<IBIZSample0014> list) ;
    boolean update(IBIZSample0014 et) ;
    void updateBatch(List<IBIZSample0014> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    IBIZSample0014 get(String key) ;
    IBIZSample0014 getDraft(IBIZSample0014 et) ;
    boolean checkKey(IBIZSample0014 et) ;
    boolean save(IBIZSample0014 et) ;
    void saveBatch(List<IBIZSample0014> list) ;
    Page<IBIZSample0014> searchCurIBIZSample0014(IBIZSample0014SearchContext context) ;
    Page<IBIZSample0014> searchDefault(IBIZSample0014SearchContext context) ;
    List<IBIZSample0014> selectByIbizsample0003id(String ibizsample0003id);
    void removeByIbizsample0003id(String ibizsample0003id);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<IBIZSample0014> getIbizsample0014ByIds(List<String> ids) ;
    List<IBIZSample0014> getIbizsample0014ByEntities(List<IBIZSample0014> entities) ;
}


